﻿using Wisej.Web;

namespace WisejWebSpeechSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			this.speechSynthesis.Voice = this.comboBox1.Text;
			this.speechSynthesis.Speak(this.textBox1.Text);
		}

		private async void Page1_Load(object sender, System.EventArgs e)
		{
			var voices = await this.speechSynthesis.GetVoicesAsync();
			this.comboBox1.DataSource = voices;
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
		this.speechRecognition.GetSpeechRecognition(this.textBox2).Enabled = true;
		}
	}
}
